<?php

class mayi_resource_name_Test extends PHPUnit_Framework_TestCase
{
	public function dp_class_mayi_resource() {
		return array(
			array('management_pack', 'monitor.monitoring.management_packs'),
			array('command', 'monitor.monitoring.commands'),
			array('contact', 'monitor.monitoring.contacts'),
			array('contact_template', 'monitor.monitoring.contact_templates'),
			array('contactgroup', 'monitor.monitoring.contactgroups'),
			array('hostescalation', 'monitor.monitoring.hostescalations'),
			array('serviceescalation', 'monitor.monitoring.serviceescalations'),
			array('FILE', 'monitor.monitoring.config_files'),
			array('host', 'monitor.monitoring.hosts'),
			array('host_template', 'monitor.monitoring.host_templates'),
			array('hostdependency', 'monitor.monitoring.hostdependencies'),
			array('hostgroup', 'monitor.monitoring.hostgroups'),
			array('service', 'monitor.monitoring.services'),
			array('service_template', 'monitor.monitoring.service_templates'),
			array('servicedependency', 'monitor.monitoring.servicedependencies'),
			array('servicegroup', 'monitor.monitoring.servicegroups'),
			array('timeperiod', 'monitor.monitoring.timeperiods'),
			array('combined_graph', 'monitor.monitoring.combined_graphs'),
			array('graph_collection', 'monitor.monitoring.graph_collections'),
			array('graph_template', 'monitor.monitoring.graph_templates'),
			array('user', 'monitor.monitoring.users'),
			array('usergroup', 'monitor.monitoring.usergroups')
		);
	}

	/**
	 * @dataProvider dp_class_mayi_resource
	 * @param unknown $class_prefix
	 * @param unknown $expected_resource
	 */
	public function test_class_mayi_resource($class_prefix, $expected_resource) {
		$class_name = $class_prefix . '_nacoma_Model';
		$actual_resource = $class_name::mayi_resource();
		$this->assertSame($expected_resource, $actual_resource);
	}
}
